Bug 1176351 - [RFC] print warning message when we're going to install not latest version [NEEDINFO]
[RFC] print warning message when we're going to install not latest version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-20 15:51 EST by Igor Gnatenko
Modified: 2015-08-10 22:08 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-1.0.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 22:08:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsilhan: needinfo? (alpha)


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2014-12-20 15:51:54 EST
Got feedback about dnf and "-b/--best" option. I think we want print WARNING/INFO message to user when we're installing not latest version of package.

I'm not sure if we want to do this on default debuglevel.
Comment 1 Igor Gnatenko 2014-12-20 15:53:48 EST
I'm CCing Aleksandra to clarify and track this request.
Comment 2 Aleksandra Fedorova 2014-12-22 12:43:35 EST
Every time we do something different from what user expected we should print a warning.

Installing package from fedora repo while there is a newer package available in updates repo is unexpected. User needs to know that this has happened and reason why this has happened.

We need this to work by default, to make sure that user will be properly informed before he learns about different debug levels and reads manual.

To hide this warnings for experienced users we can add --quiet option and corresponding config parameter.
Comment 3 Honza Silhan 2015-01-06 07:05:03 EST
The way you describe it is how yum works but that was annoying for users as they usually have to run updates with `--skipbroken`. By default it select the package to fit many criteria (highest version, compatible architecture, no conflicts, number of additional dependencies, ...) to satisfy your order without throwing errors. Related to bug 1157228.

Aleksandra, can you post testcase when dnf doesn't find the latest package version when `--best` is selected?
Comment 4 Jaroslav Reznik 2015-03-03 11:38:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Honza Silhan 2015-07-10 12:14:42 EDT
PR: https://github.com/rpm-software-management/dnf/pull/304
Comment 6 Fedora Update System 2015-07-22 04:25:11 EDT
dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22
Comment 7 Fedora Update System 2015-07-31 22:28:20 EDT
Package dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.2-3.fc22 hawkey-0.5.9-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12577/dnf-1.0.2-3.fc22,hawkey-0.5.9-3.fc22
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-08-10 22:08:18 EDT
dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.